<template>
  <div>
    <h1 class="mb-3">Have you ever self-diagnosed yourself with the following?</h1>
    <p class="text-base mb-6">Select all that apply.</p>
    <div class="space-y-3 mb-8">
      <checkbox-input
        v-for="choice in choices"
        :key="choice"
        @input="handleCheckboxInput"
        :value="checkboxSelected"
        :input-value="choice"
      >
        {{ choice }}
      </checkbox-input>
    </div>
    <CommonBtn
      text="Next"
      @click="clickHandler"
      :disabled="!checkboxSelected.length"
    />
  </div>
</template>

<script>
import CommonBtn from "@/components/common/CommonBtn";
import CheckboxInput from "@/components/inputs/CheckboxInput";
import {answersMixin, checkboxMixin} from "@/utils/mixins";
import {constants} from "@/constants";

const DEPRESSION = 'Depression'

export default {
  mixins: [answersMixin, checkboxMixin],
  name: "YourHealth25",
  components: {CheckboxInput, CommonBtn},
  data() {
    return {
      choices: [
        DEPRESSION,
        'Anxiety',
        constants.NONE_CHOICE,
      ],
      checkHandler: newVal => {
        newVal = this.filterChoices(newVal)
        this.checkboxSelected = newVal
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_25')
      }
    }
  },
  methods: {
    clickHandler() {
      if (this.checkboxSelected.includes(DEPRESSION)) {
        this.$emit('nextStage')
      } else {
        this.$emit('goTo', 27)
      }
    }
  }
}
</script>

<style scoped>

</style>
